/*************************************************************************

	File Name	: Status.java

	Function	: Display the data under the mouse on the graph

	Input		:

		CFD smain	  : CFD main class

**************************************************************************/
import java.awt.*;
import java.util.*;
import java.lang.*;
import java.awt.event.*;
import java.applet.Applet;

public class Status extends Panel {

	CFD smain;

	Label Pos;
	Label Velocity;

       /*****************************************************************
	*
	*	method	 : maketitle()
	*	Input    : String name,
	*		   GridBagLayout gridbag,
	*		   GridBagConstraints c
	*	Output   : none
	*	Function : make a title of this class
	*
	*****************************************************************/
	protected void maketitle(
				String name,
				GridBagLayout gridbag,
				GridBagConstraints c) {
		c.anchor = GridBagConstraints.SOUTH;

		Label label = new Label(name);

		// Font for Panel Title
		label.setFont(new Font("Dialog", Font.BOLD, 10));
		gridbag.setConstraints(label, c);
		add(label);
	}

       /*****************************************************************
	*
	*	method	 : makelabel()
	*	Input    : String name,
	*		   GridBagLayout gridbag,
	*		   GridBagConstraints c
	*	Output   : none
	*	Function : make a label
	*
	*****************************************************************/
	protected void makelabel(
				String name,
				GridBagLayout gridbag,
				GridBagConstraints c) {
		c.anchor = GridBagConstraints.SOUTH;

		Label label = new Label(name);

		// Font for label
		label.setFont(new Font("Dialog", Font.PLAIN, 10));

		gridbag.setConstraints(label, c);
		add(label);
	}

       /*****************************************************************
	*
	*	method	 : Status()
	*
	*	Function : constructor of this class
	*
	*****************************************************************/
	Status(CFD smain) {

		this.smain = smain;

		GridBagLayout gridbag = new GridBagLayout();
		GridBagConstraints c = new GridBagConstraints();
		setLayout(gridbag);

		// Font for Panel Main
		setFont(new Font("Dialog", Font.PLAIN, 10));

		c.fill = GridBagConstraints.BOTH;

		// 1st line
		c.gridwidth = 1;                //reset to the default
		c.weightx = 1.0;
		c.weighty = 0;

		makelabel("Position(x, y)", gridbag, c);

		Pos = new Label("(0000, 0000)");
		gridbag.setConstraints(Pos, c);
		add(Pos);

		c.gridwidth = 1;                //reset to the default
		c.weightx = 1.0;
		c.weighty = 0;

		c.gridwidth = GridBagConstraints.RELATIVE;

		makelabel("Velocity(x, y)", gridbag, c);

		c.gridwidth = GridBagConstraints.REMAINDER; //end row

		Velocity = new Label("(0.0, 0.0)   ");
		gridbag.setConstraints(Velocity, c);
		add(Velocity);
	}

}